
QGIS Application - Bug report #13547

Symbol layer effects order not respected

2015-10-08 11:39 AM - Matthias Kuhn

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21589

Description

When setting up a layer with two symbol layers and activating an effect on the underlying symbol it is not hidden behind the upper layer.

The attached images show the effect. The border should be on top of the inner glow and its color should not be affected.

Don't blame me on the horrible map style ;)

History

#1 - 2015-10-08 11:40 AM - Matthias Kuhn

- File Screenshot_from_2015-10-08_20-34-04.png added

- File renderingorder.png added

#2 - 2016-05-24 01:30 PM - Saber Razmjooei

- Category set to Symbology

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#4 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

renderingorder.png 8.31 KB 2015-10-08 Matthias Kuhn

Screenshot_from_2015-10-08_20-34-04.png 100 KB 2015-10-08 Matthias Kuhn
